请稍候...
确定
取消
  • Ubuntulogo

    Ubuntu

    Ubuntu继Debian安全牢固特性,server版稳定,桌面版易用,全球最受欢迎的Linux OS之一
  • PHP7版本安装laravel框架注意事项

      时间:2016-11-09 21:02:29

      阅读:432 回复:0 A- A+

      如果你的开发环境php版本是PHP7,通过composer安装laravel框架也许会遇到一些问题,这主要是因为我们安装PHP7时,一些php扩展模块未能及时安装,而通过composer安装laravel框架时,会用到这些缺失的扩展,会影响我们完成laravel的安装。

      写本文的主要目的是总结下PHP版本是PHP7通过composer安装laravel最常遇到的小问题。

      首先,你需要安装的扩展模块是:mbstring

      安装laravel将依赖该扩展,如果你没有安装该扩展,那么通过composer安装laravel框架,你将无法正常生成laravel框架所依赖的vendor目录。vendor目录以及其下文件是laravel框架正常运行所需的。

      第二个要安装的扩展模块是:xml扩展

      通过composer安装laravel框架过程中将需要调用ext-dom,若xml扩展未安装,这也会影响我们安装laravel。

      以上两个扩展是PHP7版本安装laravel所依赖也是容易被忽略的扩展,当你安装laravel无法正常生成vendor目录时就需要检查mbstring扩展加载情况了。

      安装也是简单的:

      apt-get install php7.0-mbstring
      若提示:phpunit/phpunit 5.0.x requires ext-dom * -> the requested PHP extension dom is missing from your system.

      则需要安装xml扩展。
      apt-get install php7.0-xml
      先写到这,若还有其它问题后续补充。
      下一条:暂无
      网友观点 文明社会,理性发言,和谐讨论

        暂无网友互动记录!

    发表我的看法(70字以内)